com.ihr.xbrl.dts

## Class DTSExplorer

- java.lang.Object
- - com.ihr.xbrl.dts.DTSExplorer

-     public class DTSExplorer
      extends java.lang.Object

  Provides methods to explore a DTS.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DTSExplorer(DTSContainer dts)` Instantiates a new DTS explorer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.tree.TreeNode` | `getRootNode(java.lang.String roleUri, javax.xml.namespace.QName lbType)` Gets the root node.
    `java.util.Vector<XBRLTreeRoot>` | `getRoots(java.lang.String roleUri, javax.xml.namespace.QName lbType)` Returns a Collection of XBRLTreeRoot that are the roots of the hierarchies in the role specified for the linkbase indicated in the lbType parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DTSExplorer

          public DTSExplorer(DTSContainer dts)

      Instantiates a new DTS explorer.
      Parameters:
        `dts` - the dts

  - ### Method Detail

    - #### getRootNode

          public javax.swing.tree.TreeNode getRootNode(java.lang.String roleUri,
                                              javax.xml.namespace.QName lbType)

      Gets the root node.
      Parameters:
        `roleUri` - the role uri
        `lbType` - the lb type
      Returns:
        the root node

    - #### getRoots

          public java.util.Vector<XBRLTreeRoot> getRoots(java.lang.String roleUri,
                                                javax.xml.namespace.QName lbType)

      Returns a Collection of XBRLTreeRoot that are the roots of the hierarchies in the role specified for the linkbase indicated in the lbType parameter. If the role does not exist in the DTSContainer the empty collection is returned The Collection is ordered according to the order attribute on relationships
      Parameters:
        `roleUri` - String the role of the extended link
        `lbType` - QName the QName of the linkbase type
      Returns:
        a Collection<XBRLTreeWalker> object